Bug 87945 - COLOR-PICKER: Automatic Color button is not intuitive.
Summary: COLOR-PICKER: Automatic Color button is not intuitive.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: All Windows (All)
: medium enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2015-01-01 18:49 UTC by josiasmat
Modified: 2015-04-17 23:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Color picker with "Automatic" button showing color preview (8.24 KB, image/png)
2015-01-29 12:23 UTC, josiasmat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josiasmat 2015-01-01 18:49:59 UTC
In my opinion, the Automatic Color button inside the new color picker is not intuitive, that it, it is not obvious that it is a button where we can click on. Suggestions: (1) Make a box around the button to make more obvious that it is a button; (2) Show a box with the "real" color next to the "Automatic" label; (3) Put the button on another position or make it smaller, maybe at the right side of the title of the color picker window.
Comment 1 mahfiaz 2015-01-01 21:07:25 UTC
I agree that it is unnecessarily large. It also doesn't indicate if it is currently active or not unlike other colors.

2) would be nice, but usually it is just black
Comment 2 josiasmat 2015-01-02 13:26:53 UTC
(In reply to mahfiaz from comment #1)
> I agree that it is unnecessarily large. It also doesn't indicate if it is
> currently active or not unlike other colors.
> 
> 2) would be nice, but usually it is just black

About (2), yes, it is more or less obvious to us that usually it is just black, but for most people it isn't, so it would be helpful to show the real color even if it is just black.
Comment 3 josiasmat 2015-01-29 12:23:58 UTC
Created attachment 112913 [details]
Color picker with "Automatic" button showing color preview

Take a look at this mock-up. I think it would be much better like this. What do you think?

(Obs: note that the "Custom color" button is cropped, and this should be corrected too; but this is another bug...)
Comment 4 V Stuart Foote 2015-01-29 14:16:50 UTC
Improvement to HIG of the Automatic color setting as a button is needed--agree that it is not obvious that it is a button. 

Color (other than an empty swatch for Automatic) is already being shown on the toolbar button. So addition of a color swatch adjacent to the automatic button is not needed (or possible) as Automatic will dynamically assign color based on other configuration settings and algorithms.  Although I suppose that if the actual resulting "automatic" color could be derived it might be useful to show it, but on the color bar under the tool button.

Otherwise just cleaning up the button to make it more obvious.  Perhaps make it an on/off radio button?

However, there is a problem now with the selection state of the color picker's Automatic button -- see bug 88903
Comment 5 josiasmat 2015-01-29 16:49:19 UTC
(In reply to V Stuart Foote from comment #4)
> Although I
> suppose that if the actual resulting "automatic" color could be derived it
> might be useful to show it, but on the color bar under the tool button.

Yes, it will be useful to show the actual resulting color from "automatic", because no one knows what will be the "automatic" color. Most people (not power users like us) will just select the black color instead of "automatic", because either they do not realize that "Automatic" is a button, or they do not realize that it is a button that corresponds to a color, or they don't know what the "Automatic" color is. So, they just click on the black color. So, why not to facilitate the user's lives, showing the actual color along with the "Automatic" label?

And I agree that the resulting color from "automatic" should be seen also on the toolbar button -- but not only there. If you select, for example, the red color, it will show on the toolbar. Would this be a reason to hide the red color from inside the palette? The red color will show both in the palette and on the toolbar. Thus it has to be with the Automatic color.
Comment 6 V Stuart Foote 2015-01-29 18:12:32 UTC
If you look at it now, when Automatic button is toggled active, the color swatch under the toolbar button already shows an outline-no color swatch representation.

I have no idea how complex identifying the automatic color (for font or background fill) would be--but if it is possible, a color swatch next to the button would be functional.
Comment 7 Yousuf Philips (jay) (retired) 2015-03-02 03:11:15 UTC
I had suggested the same thing in bug 84578 and adolfo closed it as wontfix.
Comment 8 Adolfo Jayme 2015-03-14 03:10:48 UTC
I’ll add an icon to this button, but it won’t reflect the “Automatic” color, as 1) icons are static and 2) it needs to fit with the other function of the button (“No Fill”). So it’ll be an empty square for now.
Comment 9 Commit Notification 2015-03-14 03:11:28 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b8439f0595a5b539476fa211efd8e5faca8bf0a

tdf#87945 Make “Auto/No Fill” button more obvious by adding an icon to it

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Adolfo Jayme 2015-03-14 23:48:58 UTC
Improvements to the above fix are welcome, but I think it’s good enough to close this bug (it’s pretty close to your mockup).